/*jslint browser: true, unused:false */
/*global $ */

// Funções que são executadas sempre que uma página é carregada
function pageLoadEvents() {
   'use strict';

   console.log('Executando pageLoadEvents()');

   $('.reveal-overlay, .feedbackPuzzleQuiz-overlay').remove();
   $('.reveal').foundation();
   $('.accordion').foundation();
   $('.tabs').foundation();
   $('.cycle-slideshow').cycle();

   $('img.open-in-new-window').click(function () {
      window.open($(this).attr('src'));
   });
    $('img[usemap]').rwdImageMaps();
}

$(document).ready(function () {
   'use strict';

   $(document).foundation();

   //busca
   $('.bt-search').on('click', function(e) {
		e.preventDefault();
		$('.search').slideToggle(800);

	});


   // Começar o video ao clicar no poster
   $('.tc-content').on('click', 'video', function () {
      let video = $(this)[0];
      if (video.paused) {
         video.play();
      } else {
         video.pause();
      }
   });

   // Mudar a resolução dos videos
   $('.video-resolution').on('change', function () {
      let video = $(this).find(':selected').val();
      $(this).prev().attr('src', video);
      $(this).prev()[0].load();
      $(this).prev()[0].play();
   });

   //responsividade mapeamento da imagem
   $('img[usemap]').rwdImageMaps();

   //Slider
   $('.flexslider').flexslider({
     animation: "slide",
     controlNav: false,
     animationLoop: false,
      slideshow: false,
     //animation: "slide",
     //animationLoop: false,
     customDirectionNav: $(".custom-navigation a"),
   });

  //Animação
  if ($.fn.init) { new WOW().init(); }
});
